/*
 * Copyright 2010 Nathanaël Cottin - http://www.ezjson.org
 *
 * This file is part of EZ JSON (easy JSON integration).
 *
 * EZ JSON is free software: you can redistribute it and/or modify it under the
 * terms of the Lesser GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or any later version.
 *
 * EZ JSON is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Insane. If not, see <http://www.gnu.org/licenses/>.
 */
package org.ezjson;

/**
 * Represents a JSON number, according the JSON specification. For practical
 * reasons, this number is derived to JSON integer and JSON real types (which
 * are not part of the specification)
 *
 * @author ncottin
 */
public interface JSONNumber extends JSONValue {

    /**
     * Allows to check the actual type of this JSON number to simplify cast
     * 
     * @return <tt>true</tt> only if this JSON number holds an integer
     * (expressed as an <tt>int</tt>).
     * <tt>false</tt> means that this number is a real (expressed as a
     * <tt>double</tt>)
     */
    boolean isInteger();
}
